Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class ScrollPaneLayout

    java.lang.Object
      |
      +--com.sun.jimi.core.component.ScrollPaneLayout

public class ScrollPaneLayout
extends java.lang.Object
implements java.awt.LayoutManager

Constructor Summary
`ScrollPaneLayout()`

Method Summary
`void` | `addLayoutComponent(java.lang.String string, java.awt.Component comp)`
`void` | `layoutContainer(java.awt.Container target)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container target)` not yet implemented
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container target)` not yet implemented
`void` | `removeLayoutComponent(java.awt.Component comp)` interface methods

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollPaneLayout

    public ScrollPaneLayout()

Method Detail

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  interface methods
  Specified by:
    removeLayoutComponent in interface java.awt.LayoutManager

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container target)

  not yet implemented
  Specified by:
    minimumLayoutSize in interface java.awt.LayoutManager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container target)

  not yet implemented
  Specified by:
    preferredLayoutSize in interface java.awt.LayoutManager

### layoutContainer

    public void layoutContainer(java.awt.Container target)

  Specified by:
    layoutContainer in interface java.awt.LayoutManager

### addLayoutComponent

    public void addLayoutComponent(java.lang.String string,
                                   java.awt.Component comp)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD